Excellent Rated 5 out of 5 stars

I know it claims to be only up to FF4 compatible but it has worked perfectly for me with compatibility turned off in FF5.

This review is for a previous version of the add-on (1.5.5.1-signed).